import request from '@/utils/request'

// 查询TaxiOrder列表
export function listTxorder(query) {
  return request({
    url: '/system/txorder/list',
    method: 'get',
    params: query
  })
}

// 查询TaxiOrder详细
export function getTxorder(id) {
  return request({
    url: '/system/txorder/' + id,
    method: 'get'
  })
}

// 新增TaxiOrder
export function addTxorder(data) {
  return request({
    url: '/system/txorder',
    method: 'post',
    data: data
  })
}

// 修改TaxiOrder
export function updateTxorder(data) {
  return request({
    url: '/system/txorder',
    method: 'put',
    data: data
  })
}

// 删除TaxiOrder
export function delTxorder(id) {
  return request({
    url: '/system/txorder/' + id,
    method: 'delete'
  })
}
